## tahoe-lafs 1.6.1

=== Makefile ===
--- 
+++ 
@@ -30,9 +30,8 @@
 #	$(MAKE) make-version
 #
 # since that would update the embedded version string each time new darcs
-# patches were pulled, but 1) this would break non-darcs trees (i.e. building
-# from an exported tarball), and 2) without an obligatory 'build' step this
-# rule wouldn't be run frequently enought anyways.
+# patches were pulled, but without an obligatory 'build' step this rule
+# wouldn't be run frequently enough anyways.
 #
 # So instead, I'll just make sure that we update the version at least once
 # when we first start using the tree, and again whenever an explicit
@@ -82,8 +81,8 @@
 
 # TESTING
 
-.PHONY: signal-error-deps test test-figleaf quicktest quicktest-figleaf
-.PHONY: figleaf-output get-old-figleaf-coverage figleaf-delta-output
+.PHONY: signal-error-deps test test-coverage quicktest quicktest-coverage
+.PHONY: coverage-output get-old-coverage-coverage coverage-delta-output
 
 
 signal-error-deps:
@@ -115,41 +114,55 @@
 fuse-test: .built .checked-deps
 	$(RUNPP) -d contrib/fuse -p -c runtests.py
 
-test-figleaf: build src/allmydata/_version.py
-	rm -f .figleaf
-	$(PYTHON) setup.py trial --reporter=bwverbose-figleaf -s $(TEST)
+test-coverage: build src/allmydata/_version.py
+	rm -f .coverage
+	$(PYTHON) setup.py trial --reporter=bwverbose-coverage -s $(TEST)
 
 quicktest:
 	$(PYTHON) misc/run-with-pythonpath.py trial $(TRIALARGS) $(TEST)
 
-quicktest-figleaf:
-	rm -f .figleaf
-	$(PYTHON) misc/run-with-pythonpath.py trial --reporter=bwverbose-figleaf $(TEST)
-
-figleaf-output:
-	$(RUNPP) -p -c "misc/figleaf2html -d coverage-html -r src -x misc/figleaf.excludes"
-	cp .figleaf coverage-html/figleaf.pickle
+# code-coverage: install the "coverage" package from PyPI, do "make
+# quicktest-coverage" to do a unit test run with coverage-gathering enabled,
+# then use "make coverate-output-text" for a brief report, or "make
+# coverage-output" for a pretty HTML report. Also see "make .coverage.el" and
+# misc/coverage.el for emacs integration.
+
+quicktest-coverage:
+	rm -f .coverage
+	$(PYTHON) misc/run-with-pythonpath.py trial --reporter=bwverbose-coverage $(TEST)
+# on my laptop, "quicktest" takes 239s, "quicktest-coverage" takes 304s
+
+COVERAGE_OMIT = --omit /System,/Library,/usr/lib,src/allmydata/test,support
+
+# this is like 'coverage report', but includes lines-uncovered
+coverage-output-text:
+	$(PYTHON) misc/coverage2text.py
+
+coverage-output:
+	rm -rf coverage-html
+	coverage html -d coverage-html $(COVERAGE_OMIT)
+	cp .coverage coverage-html/coverage.data
 	@echo "now point your browser at coverage-html/index.html"
 
-# use these two targets to compare this coverage against the previous run.
-# The deltas only work if the old test was run in the same directory, since
-# it compares absolute filenames.
-get-old-figleaf-coverage:
-	wget --progress=dot -O old.figleaf http://allmydata.org/tahoe-figleaf/current/figleaf.pickle
-
-figleaf-delta-output:
-	$(RUNPP) -p -c "misc/figleaf2html -d coverage-html -r src -x misc/figleaf.excludes -o old.figleaf"
-	cp .figleaf coverage-html/figleaf.pickle
-	@echo "now point your browser at coverage-html/index.html"
-
-# after doing test-figleaf and figleaf-output, point your browser at
-# coverage-html/index.html
-
-.PHONY: upload-figleaf .figleaf.el pyflakes count-lines
+## use these two targets to compare this coverage against the previous run.
+## The deltas only work if the old test was run in the same directory, since
+## it compares absolute filenames.
+#get-old-figleaf-coverage:
+#	wget --progress=dot -O old.figleaf http://allmydata.org/tahoe-figleaf/current/figleaf.pickle
+#
+#figleaf-delta-output:
+#	$(RUNPP) -p -c "misc/figleaf2html -d coverage-html -r src -x misc/figleaf.excludes -o old.figleaf"
+#	cp .figleaf coverage-html/figleaf.pickle
+#	@echo "now point your browser at coverage-html/index.html"
+
+.PHONY: upload-coverage .coverage.el pyflakes count-lines
 .PHONY: check-memory check-memory-once check-speed check-grid
 .PHONY: repl test-darcs-boringfile test-clean clean find-trailing-spaces
 
-# 'upload-figleaf' is meant to be run with an UPLOAD_TARGET=host:/dir setting
+.coverage.el: .coverage
+	$(PYTHON) misc/coverage2el.py
+
+# 'upload-coverage' is meant to be run with an UPLOAD_TARGET=host:/dir setting
 ifdef UPLOAD_TARGET
 
 ifndef UPLOAD_HOST
@@ -159,17 +172,15 @@
 $(error COVERAGEDIR must be set when using UPLOAD_TARGET)
 endif
 
-upload-figleaf:
+upload-coverage:
 	rsync -a coverage-html/ $(UPLOAD_TARGET)
-	ssh $(UPLOAD_HOST) make update-tahoe-figleaf COVERAGEDIR=$(COVERAGEDIR)
+	ssh $(UPLOAD_HOST) make update-tahoe-coverage COVERAGEDIR=$(COVERAGEDIR)
 else
-upload-figleaf:
+upload-coverage:
 	echo "this target is meant to be run with UPLOAD_TARGET=host:/path/"
 	false
 endif
 
-.figleaf.el: .figleaf
-	$(RUNPP) -p -c "misc/figleaf2el.py .figleaf src"
 
 pyflakes:
 	$(PYTHON) -OOu `which pyflakes` src/allmydata |sort |uniq
@@ -223,6 +234,9 @@
 	if [ -z '$(TESTCLIENTDIR)' ]; then exit 1; fi
 	$(PYTHON) src/allmydata/test/check_grid.py $(TESTCLIENTDIR) bin/tahoe
 
+bench-dirnode: .built
+	$(RUNPP) -p -c src/allmydata/test/bench_dirnode.py
+
 # 'make repl' is a simple-to-type command to get a Python interpreter loop
 # from which you can type 'import allmydata'
 repl:
@@ -233,19 +247,18 @@
 	$(PYTHON) misc/test-darcs-boringfile.py
 
 test-clean:
-	find . |grep -vEe "allfiles.tmp|src/allmydata/_(version|auto_deps|appname).py" |sort >allfiles.tmp.old
+	find . |grep -vEe "_darcs|allfiles.tmp|src/allmydata/_(version|auto_deps|appname).py" |sort >allfiles.tmp.old
 	$(MAKE)
 	$(MAKE) clean
-	find . |grep -vEe "allfiles.tmp|src/allmydata/_(version|auto_deps|appname).py" |sort >allfiles.tmp.new
+	find . |grep -vEe "_darcs|allfiles.tmp|src/allmydata/_(version|auto_deps|appname).py" |sort >allfiles.tmp.new
 	diff allfiles.tmp.old allfiles.tmp.new
 
 clean:
 	rm -rf build _trial_temp _test_memory .checked-deps .built
-	rm -f debian
 	rm -f `find src/allmydata -name '*.so' -or -name '*.pyc'`
 	rm -rf src/allmydata_tahoe.egg-info
 	rm -rf support dist
-	rm -rf setuptools*.egg *.pyc darcsver*.egg pyutil*.egg
+	rm -rf *.egg *.pyc
 	rm -rf misc/dependencies/build misc/dependencies/temp
 	rm -rf misc/dependencies/tahoe_deps.egg-info
 	rm -f bin/tahoe bin/tahoe-script.py
@@ -278,7 +291,7 @@
 
 upload-tarballs:
 	for f in dist/allmydata-tahoe-*; do \
-	 xfer-client --furlfile ~/.tahoe-tarball-upload.furl $$f; \
+	 flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; \
 	done
 
 # DEBIAN PACKAGING
@@ -328,23 +341,3 @@
 	@echo "I know how to handle:" $(KNOWN_DEBIAN_ARCHES)
 	false
 else
-is-known-debian-arch:
-	true
-endif
-
-ifndef TAHOE_ARCH
-TAHOE_ARCH=$(ARCH)
-endif
-
-setup-deb: is-known-debian-arch
-	rm -f debian
-	ln -s misc/$(TAHOE_ARCH)/debian debian
-	chmod +x debian/rules
-
-# etch (current debian stable) has python-simplejson-1.3, which doesn't
-#  support indent=
-# sid (debian unstable) currently has python-simplejson 1.7.1
-# edgy has 1.3, which doesn't support indent=
-# feisty has 1.4, which supports indent= but emits a deprecation warning
-# gutsy has 1.7.1
-#
