=== debian/changelog ===
tahoe-lafs (1.6.1-0ubuntu2.1) lucid-security; urgency=high

  * SECURITY UPDATE: fix unauthorized deletion (LP: #848476)
    a person who knows the "storage index" that identifies an immutable
    file can cause the server to delete its shares of that file.
    - backported from upstream version 1.8.3
  * http://tahoe-lafs.org/source/tahoe-lafs/snapshots/allmydata-tahoe-1.8.3.zip

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 13 Sep 2011 22:37:02 +0200

tahoe-lafs (1.6.1-0ubuntu2) lucid; urgency=low

  * Restore files to the binary package by re-instating the package= from
    debian/rules that was deleted too hastily. The empty substiution variable
    meant that python setup.py was told to install the files outside the
    package tmpdir. (LP: #551333)

 -- James Westby <james.westby@ubuntu.com>  Tue, 30 Mar 2010 10:19:27 -0400

tahoe-lafs (1.6.1-0ubuntu1) lucid; urgency=low

  [Jeremy Visser]
  * Update to bugfix release 1.6.1 (LP: #529350).
    - Correct handling of small immutable directories.
    - Improved user interface messages and error reporting.
  * debian/control: bump standards-version to 3.8.4. No changes required.
  * debian/gbp.conf: deleted as it's a temporary file left over
  * debian/watch: fixed to have the correct tarball name and avoid SUMO version

  [Fabrice Coutadeur]
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/reduce_build_dependencies.patch: converted from direct source
    changes done in 1.6.0 to reduce the required dependencies and not download
    them at build time.
  * debian/rules: deleted get-orig-source target as the watch file has been
    fixed

 -- Jeremy Visser <jeremy@visser.name>  Thu, 04 Mar 2010 19:37:54 +1100

tahoe-lafs (1.6.0-0ubuntu1) lucid; urgency=low

  * Update to version 1.6 (LP: #516744).
    - Deep immutable directories.
    - `tahoe backup` now creates immutable directories.
    - `create-node` command added.
    - `create-client` now implies --no-storage.
  * debian/rules: fix find call.

 -- Paul Hummer <paul@ubuntu.com>  Wed, 03 Feb 2010 19:36:39 -0700

tahoe-lafs (1.5.0-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #417136).
  * Relax pycryptopp dependency to 0.5.14, to help it get into Karmic.
  * Add missing license statements.

 -- Zooko O'Whielacronx (Hacker) <zooko@zooko.com>  Thu, 24 Sep 2009 00:00:05 -0600
