## tahoe-lafs 1.7.1

=== Makefile ===
--- 
+++ 
@@ -119,28 +119,22 @@
 	$(PYTHON) setup.py trial --reporter=bwverbose-coverage -s $(TEST)
 
 quicktest:
-	$(PYTHON) misc/run-with-pythonpath.py trial $(TRIALARGS) $(TEST)
+	$(PYTHON) misc/build_helpers/run-with-pythonpath.py trial $(TRIALARGS) $(TEST)
 
 # code-coverage: install the "coverage" package from PyPI, do "make
 # quicktest-coverage" to do a unit test run with coverage-gathering enabled,
 # then use "make coverate-output-text" for a brief report, or "make
 # coverage-output" for a pretty HTML report. Also see "make .coverage.el" and
-# misc/coverage.el for emacs integration.
+# misc/coding_helpers/coverage.el for emacs integration.
 
 quicktest-coverage:
 	rm -f .coverage
-	$(PYTHON) misc/run-with-pythonpath.py trial --reporter=bwverbose-coverage $(TEST)
+	$(PYTHON) misc/build_helpers/run-with-pythonpath.py trial --reporter=bwverbose-coverage $(TEST)
 # on my laptop, "quicktest" takes 239s, "quicktest-coverage" takes 304s
-
-COVERAGE_OMIT = --omit /System,/Library,/usr/lib,src/allmydata/test,support
-
-# this is like 'coverage report', but includes lines-uncovered
-coverage-output-text:
-	$(PYTHON) misc/coverage2text.py
 
 coverage-output:
 	rm -rf coverage-html
-	coverage html -d coverage-html $(COVERAGE_OMIT)
+	coverage html -d coverage-html
 	cp .coverage coverage-html/coverage.data
 	@echo "now point your browser at coverage-html/index.html"
 
@@ -160,7 +154,7 @@
 .PHONY: repl test-darcs-boringfile test-clean clean find-trailing-spaces
 
 .coverage.el: .coverage
-	$(PYTHON) misc/coverage2el.py
+	$(PYTHON) misc/coding_helpers/coverage2el.py
 
 # 'upload-coverage' is meant to be run with an UPLOAD_TARGET=host:/dir setting
 ifdef UPLOAD_TARGET
@@ -244,7 +238,7 @@
 
 test-darcs-boringfile:
 	$(MAKE)
-	$(PYTHON) misc/test-darcs-boringfile.py
+	$(PYTHON) misc/build_helpers/test-darcs-boringfile.py
 
 test-clean:
 	find . |grep -vEe "_darcs|allfiles.tmp|src/allmydata/_(version|auto_deps|appname).py" |sort >allfiles.tmp.old
@@ -255,16 +249,17 @@
 
 clean:
 	rm -rf build _trial_temp _test_memory .checked-deps .built
-	rm -f `find src/allmydata -name '*.so' -or -name '*.pyc'`
+	rm -f `find src *.egg -name '*.so' -or -name '*.pyc'`
 	rm -rf src/allmydata_tahoe.egg-info
 	rm -rf support dist
-	rm -rf *.egg *.pyc
+	rm -rf `ls -d *.egg | grep -vEe"setuptools-|setuptools_trial-|darcsver-"`
+	rm -rf *.pyc
 	rm -rf misc/dependencies/build misc/dependencies/temp
 	rm -rf misc/dependencies/tahoe_deps.egg-info
 	rm -f bin/tahoe bin/tahoe-script.py
 
 find-trailing-spaces:
-	$(PYTHON) misc/find-trailing-spaces.py -r src
+	$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r src
 
 # The test-desert-island target grabs the tahoe-deps tarball, unpacks it,
 # does a build, then asserts that the build did not try to download anything
@@ -274,12 +269,12 @@
 fetch-and-unpack-deps:
 	test -f tahoe-deps.tar.gz || wget http://allmydata.org/source/tahoe/deps/tahoe-deps.tar.gz
 	rm -rf tahoe-deps
-	tar xf tahoe-deps.tar.gz
+	tar xzf tahoe-deps.tar.gz
 
 test-desert-island:
 	$(MAKE) fetch-and-unpack-deps
 	$(MAKE) 2>&1 | tee make.out
-	$(PYTHON) misc/check-build.py make.out no-downloads
+	$(PYTHON) misc/build_helpers/check-build.py make.out no-downloads
 
 
 # TARBALL GENERATION
@@ -290,13 +285,11 @@
 	$(PYTHON) setup.py sdist --sumo --formats=bztar,gztar,zip
 
 upload-tarballs:
-	for f in dist/allmydata-tahoe-*; do \
-	 flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; \
-	done
+	@if [ "X${BB_BRANCH}" == "Xtrunk" ]; then for f in dist/allmydata-tahoe-*; do flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; done ; else echo not uploading tarballs because this is not trunk but is branch \"${BB_BRANCH}\" ; fi
 
 # DEBIAN PACKAGING
 
-VER=$(shell $(PYTHON) misc/get-version.py)
+VER=$(shell $(PYTHON) misc/build_helpers/get-version.py)
 DEBCOMMENTS="'make deb' build"
 
 show-version:
@@ -308,7 +301,7 @@
 .PHONY: deb-etch deb-lenny deb-sid
 .PHONY: deb-edgy deb-feisty deb-gutsy deb-hardy deb-intrepid deb-jaunty
 
-# we use misc/$TAHOE_ARCH/debian
+# we use misc/debian_helpers/$TAHOE_ARCH/debian
 
 deb-etch:      # py2.4
 	$(MAKE) deb-ARCH ARCH=etch TAHOE_ARCH=etch
@@ -337,7 +330,3 @@
 
 ifeq ($(findstring x-$(ARCH)-x,$(foreach arch,$(KNOWN_DEBIAN_ARCHES),"x-$(arch)-x")),)
 is-known-debian-arch:
-	@echo "ARCH must be set when using setup-deb or deb-ARCH"
-	@echo "I know how to handle:" $(KNOWN_DEBIAN_ARCHES)
-	false
-else
