=== debian/changelog ===
tahoe-lafs (1.7.1-0ubuntu1) maverick; urgency=low

  * Update to version 1.7.1 (LP: #609755).
    - SFTP support
    - support for non-ASCII character encodings
    - more checks to make sure file hunks are more sufficiently distributed
    - many bugfixes

 -- Paul Hummer <paul@ubuntu.com>  Tue, 10 Aug 2010 17:48:58 -0600
