=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Brian Warner <warner@lothar.com>
 Build-Depends: debhelper (>= 7), python-support, python-setuptools,
- python (>= 2.5)
+ python (>= 2.5), python-twisted
 XS-Python-Version: >= 2.5
 Standards-Version: 3.8.4
 Homepage: http://allmydata.org/trac/tahoe
