## tahoe-lafs 1.8.2

=== debian/changelog ===
tahoe-lafs (1.8.2-0ubuntu1) natty; urgency=low

  * Update to version 1.8.2 (LP: #719092)
    - Improved performance and fault tolerance of downloads
    - Increased logging 
    - Fixed Twisted 10.2 compatitibility
  * Update standards version to 3.9.1

 -- Paul Hummer <paul@ubuntu.com>  Wed, 23 Feb 2011 13:58:35 -0700
