=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7), python-support, python-setuptools,
  python (>= 2.5), python-twisted
 XS-Python-Version: >= 2.5
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://allmydata.org/trac/tahoe
 
 Package: tahoe-lafs
