## tahoe-lafs 1.8.3

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 PP=$(shell $(PYTHON) setup.py -q show_pythonpath)
 RUNPP=$(PYTHON) setup.py run_with_pythonpath
+TAHOE=$(PYTHON) bin/tahoe
 
 .PHONY: make-version build
 
@@ -48,18 +49,6 @@
 src/allmydata/_version.py:
 	$(MAKE) make-version
 
-# c.f. ticket #455, there is a problem in the intersection of setuptools,
-# twisted's setup.py, and nevow's setup.py . A Tahoe build, to satisfy its
-# dependencies, may try to build both Twisted and Nevow. If both of these
-# occur during the same invocation of 'setup.py develop', then the Nevow
-# build will fail with an "ImportError: No module named components". Running
-# the build a second time will succeed. Until there is a new version of
-# setuptools which properly sandboxes sys.modules (or a new version of nevow
-# which doesn't import twisted during its build, or a new version of twisted
-# which doesn't import itself during its build), we just build tahoe twice
-# and ignore the errors from the first pass. Updated 16-Sep-2008: now we need
-# three invocations.
-
 build: src/allmydata/_version.py
 	$(PYTHON) setup.py build
 	touch .built
@@ -116,45 +105,36 @@
 
 test-coverage: build src/allmydata/_version.py
 	rm -f .coverage
-	$(PYTHON) setup.py trial --reporter=bwverbose-coverage -s $(TEST)
+	$(TAHOE) debug trial --reporter=bwverbose-coverage $(TEST)
 
 quicktest:
-	$(PYTHON) misc/build_helpers/run-with-pythonpath.py trial $(TRIALARGS) $(TEST)
+	$(TAHOE) debug trial $(TRIALARGS) $(TEST)
 
 # code-coverage: install the "coverage" package from PyPI, do "make
 # quicktest-coverage" to do a unit test run with coverage-gathering enabled,
 # then use "make coverate-output-text" for a brief report, or "make
 # coverage-output" for a pretty HTML report. Also see "make .coverage.el" and
-# misc/coding_helpers/coverage.el for emacs integration.
+# misc/coding_tools/coverage.el for emacs integration.
 
 quicktest-coverage:
 	rm -f .coverage
-	$(PYTHON) misc/build_helpers/run-with-pythonpath.py trial --reporter=bwverbose-coverage $(TEST)
+	$(TAHOE) debug trial --reporter=bwverbose-coverage $(TEST)
 # on my laptop, "quicktest" takes 239s, "quicktest-coverage" takes 304s
 
+# --include appeared in coverage-3.4
+COVERAGE_OMIT=--include '$(CURDIR)/src/allmydata/*' --omit '$(CURDIR)/src/allmydata/test/*'
 coverage-output:
 	rm -rf coverage-html
-	coverage html -d coverage-html
+	coverage html -i -d coverage-html $(COVERAGE_OMIT)
 	cp .coverage coverage-html/coverage.data
 	@echo "now point your browser at coverage-html/index.html"
-
-## use these two targets to compare this coverage against the previous run.
-## The deltas only work if the old test was run in the same directory, since
-## it compares absolute filenames.
-#get-old-figleaf-coverage:
-#	wget --progress=dot -O old.figleaf http://allmydata.org/tahoe-figleaf/current/figleaf.pickle
-#
-#figleaf-delta-output:
-#	$(RUNPP) -p -c "misc/figleaf2html -d coverage-html -r src -x misc/figleaf.excludes -o old.figleaf"
-#	cp .figleaf coverage-html/figleaf.pickle
-#	@echo "now point your browser at coverage-html/index.html"
 
 .PHONY: upload-coverage .coverage.el pyflakes count-lines
 .PHONY: check-memory check-memory-once check-speed check-grid
 .PHONY: repl test-darcs-boringfile test-clean clean find-trailing-spaces
 
 .coverage.el: .coverage
-	$(PYTHON) misc/coding_helpers/coverage2el.py
+	$(PYTHON) misc/coding_tools/coverage2el.py
 
 # 'upload-coverage' is meant to be run with an UPLOAD_TARGET=host:/dir setting
 ifdef UPLOAD_TARGET
@@ -177,7 +157,9 @@
 
 
 pyflakes:
-	$(PYTHON) -OOu `which pyflakes` src/allmydata |sort |uniq
+	$(PYTHON) -OOu `which pyflakes` src/allmydata static misc/build_helpers bin/tahoe-script.template twisted setup.py |sort |uniq
+check-umids:
+	$(PYTHON) misc/coding_tools/check-umids.py `find src/allmydata -name '*.py'`
 
 count-lines:
 	@echo -n "files: "
@@ -215,11 +197,11 @@
 check-speed: .built
 	if [ -z '$(TESTCLIENTDIR)' ]; then exit 1; fi
 	@echo "stopping any leftover client code"
-	-$(PYTHON) bin/tahoe stop $(TESTCLIENTDIR)
-	$(PYTHON) bin/tahoe start $(TESTCLIENTDIR)
+	-$(TAHOE) stop $(TESTCLIENTDIR)
+	$(TAHOE) start $(TESTCLIENTDIR)
 	sleep 5
 	$(PYTHON) src/allmydata/test/check_speed.py $(TESTCLIENTDIR)
-	$(PYTHON) bin/tahoe stop $(TESTCLIENTDIR)
+	$(TAHOE) stop $(TESTCLIENTDIR)
 
 # The check-grid target also uses a pre-established client node, along with a
 # long-term directory that contains some well-known files. See the docstring
@@ -234,17 +216,17 @@
 # 'make repl' is a simple-to-type command to get a Python interpreter loop
 # from which you can type 'import allmydata'
 repl:
-	$(RUNPP) -p
+	$(TAHOE) debug repl
 
 test-darcs-boringfile:
 	$(MAKE)
 	$(PYTHON) misc/build_helpers/test-darcs-boringfile.py
 
 test-clean:
-	find . |grep -vEe "_darcs|allfiles.tmp|src/allmydata/_(version|auto_deps|appname).py" |sort >allfiles.tmp.old
+	find . |grep -vEe "_darcs|allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.old
 	$(MAKE)
 	$(MAKE) clean
-	find . |grep -vEe "_darcs|allfiles.tmp|src/allmydata/_(version|auto_deps|appname).py" |sort >allfiles.tmp.new
+	find . |grep -vEe "_darcs|allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.new
 	diff allfiles.tmp.old allfiles.tmp.new
 
 clean:
@@ -252,11 +234,11 @@
 	rm -f `find src *.egg -name '*.so' -or -name '*.pyc'`
 	rm -rf src/allmydata_tahoe.egg-info
 	rm -rf support dist
-	rm -rf `ls -d *.egg | grep -vEe"setuptools-|setuptools_trial-|darcsver-"`
+	rm -rf `ls -d *.egg | grep -vEe"setuptools-|setuptools_darcs-|darcsver-"`
 	rm -rf *.pyc
 	rm -rf misc/dependencies/build misc/dependencies/temp
 	rm -rf misc/dependencies/tahoe_deps.egg-info
-	rm -f bin/tahoe bin/tahoe-script.py
+	rm -f bin/tahoe bin/tahoe.pyscript
 
 find-trailing-spaces:
 	$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r src
@@ -267,7 +249,7 @@
 # support/lib/ directory is gone.
 
 fetch-and-unpack-deps:
-	test -f tahoe-deps.tar.gz || wget http://allmydata.org/source/tahoe/deps/tahoe-deps.tar.gz
+	test -f tahoe-deps.tar.gz || wget http://tahoe-lafs.org/source/tahoe/deps/tahoe-deps.tar.gz
 	rm -rf tahoe-deps
 	tar xzf tahoe-deps.tar.gz
 
@@ -285,7 +267,7 @@
 	$(PYTHON) setup.py sdist --sumo --formats=bztar,gztar,zip
 
 upload-tarballs:
-	@if [ "X${BB_BRANCH}" == "Xtrunk" ]; then for f in dist/allmydata-tahoe-*; do flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; done ; else echo not uploading tarballs because this is not trunk but is branch \"${BB_BRANCH}\" ; fi
+	@if [ "X${BB_BRANCH}" == "Xtrunk" ] || [ "X${BB_BRANCH}" == "X" ]; then for f in dist/allmydata-tahoe-*; do flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; done ; else echo not uploading tarballs because this is not trunk but is branch \"${BB_BRANCH}\" ; fi
 
 # DEBIAN PACKAGING
 
@@ -330,3 +312,39 @@
 
 ifeq ($(findstring x-$(ARCH)-x,$(foreach arch,$(KNOWN_DEBIAN_ARCHES),"x-$(arch)-x")),)
 is-known-debian-arch:
+	@echo "ARCH must be set when using setup-deb or deb-ARCH"
+	@echo "I know how to handle:" $(KNOWN_DEBIAN_ARCHES)
+	false
+else
+is-known-debian-arch:
+	true
+endif
+
+ifndef TAHOE_ARCH
+TAHOE_ARCH=$(ARCH)
+endif
+
+setup-deb: is-known-debian-arch
+	rm -f debian
+	ln -s misc/debian_helpers/$(TAHOE_ARCH)/debian debian
+	chmod +x debian/rules
+
+# etch (current debian stable) has python-simplejson-1.3, which doesn't
+#  support indent=
+# sid (debian unstable) currently has python-simplejson 1.7.1
+# edgy has 1.3, which doesn't support indent=
+# feisty has 1.4, which supports indent= but emits a deprecation warning
+# gutsy has 1.7.1
+#
+# we need 1.4 or newer
+
+deb-ARCH: is-known-debian-arch setup-deb
+	fakeroot debian/rules binary
+	@echo
+	@echo "The newly built .deb packages are in the parent directory from here."
+
+.PHONY: increment-deb-version
+.PHONY: deb-etch-head deb-lenny-head deb-sid-head
+.PHONY: deb-edgy-head deb-feisty-head deb-gutsy-head deb-hardy-head deb-intrepid-head deb-jaunty-head
+
+# The buildbot runs the following targets after each change, to produce
