=== debian/changelog ===
tahoe-lafs (1.8.3-2) unstable; urgency=high

  [ Bert Agaz ]
  * Fix dependency regression against python-twisted (Closes: #641649).

 -- Micah Anderson <micah@debian.org>  Thu, 15 Sep 2011 17:20:56 +0200

tahoe-lafs (1.8.3-1) unstable; urgency=high

  [ Bert Agaz ]
  * New upstream release (Closes: #641540), urgency high due to security fix
  * Refresh Debian patches.
  * Add header to Debian patches.
  * Remove Debian version of python-pycryptopp dependency (Closes: #630825).
  * Remove python-twisted dependency.
    python-foolscap already depends on the needed twisted packages.
  * Remove link to /usr/share/common-licenses/BSD.
  * Add Vcs-{Git,Browser} to debian/control.
  * Add a patch to reduce Twisted dependencies (Closes: #631163).
    (credit goes to Julian Taylor <jtaylor.debian@googlemail.com>).

 -- Micah Anderson <micah@debian.org>  Tue, 21 Jun 2011 14:01:31 +0200

tahoe-lafs (1.8.2-3) unstable; urgency=low

  * Update debian/copyright to have complete licensing information

 -- Micah Anderson <micah@debian.org>  Thu, 16 Jun 2011 13:33:31 -0400

tahoe-lafs (1.8.2-2) unstable; urgency=low

  * Raise dependency on python-pycryptopp version, now upgraded in Debian. 

 -- Bert Agaz <bertagaz@ptitcanardnoir.org>  Wed, 15 Jun 2011 00:41:24 +0200

tahoe-lafs (1.8.2-1) unstable; urgency=low

  [ bertagaz ]
  * Initial release (Closes: #544338).
  * Remove ubuntu's specific XSBC-Original-Maintainer field a in debian/control.
  * Remove deprecated XB-Python-Version field in debian/control.
  * Add install dependency on python-mock.
  * Update homepage in debian/control.
  * Ignore quilt dir.
  * Remove upstream custom build dependencies.
  * Include munin plugins.
  * Use upstream trick to install a clean bin/tahoe.
  * Bump versions of several install dependencies.
  * Bump compatibility version.
  * Exclude buildtest python package from the debian one.

  [ Micah Anderson]
  * switch dh_clean -k to dh_prep
  * add myself to Uploaders
  * Update Standards-Version: no changes

 -- Bert Agaz <bertagaz@ptitcanardnoir.org>  Wed, 13 Apr 2011 21:35:26 +0200
