=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: tahoe-lafs
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Brian Warner <warner@lothar.com>
+Maintainer: Bert Agaz <bertagaz@ptitcanardnoir.org>
+Uploaders: Micah Anderson <micah@debian.org>
 Build-Depends: debhelper (>= 7), python-support, python-setuptools,
  python (>= 2.5), python-twisted
 XS-Python-Version: >= 2.5
-Standards-Version: 3.9.1
-Homepage: http://allmydata.org/trac/tahoe
+Standards-Version: 3.9.2
+Vcs-Git: git://anonscm.debian.org/tahoe/tahoe.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tahoe/tahoe.git
+Homepage: http://tahoe-lafs.org/trac/tahoe
 
 Package: tahoe-lafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-twisted,
- python-foolscap (>= 0.4.1), python-openssl, python-nevow,
- python-simplejson (>= 1.4), python-zfec (>= 1.1), python-pycryptopp (>= 0.5.14),
- python-setuptools
-XB-Python-Version: >= 2.5
+Depends: ${misc:Depends}, ${python:Depends}, python-pyasn1, python-crypto,
+ python-foolscap (>= 0.6.1-3), python-openssl, python-nevow,
+ python-simplejson (>= 2.1.1), python-zfec (>= 1.4), python-pycryptopp (>= 0.5.29),
+ python-setuptools, python-mock, python-twisted
 Description: Secure distributed filesystem
  Tahoe, the Least Authority File System, is a distributed filesystem that
  features high reliability, strong security properties, and a fine-grained
