=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,11 @@
 	find . -name "*\.py[co]" -exec rm -f {} \;
 	dh_clean
 
-build: build-indep
+build: build-indep build-arch
 
-build-indep:
-	touch $@
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp: 
 	dh_testdir
@@ -28,21 +29,30 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
+	dh_install
+	chmod 755 debian/$(package)/usr/share/munin/plugins/*
 	python setup.py install \
 		--no-compile \
 		--install-layout=deb \
 		--single-version-externally-managed \
 		--root $(CURDIR)/debian/$(package)
+	
+	# Clean bin/tahoe trick stolen from upstream packaging script.
+	head -1 debian/$(package)/usr/bin/tahoe > debian/$(package)/usr/bin/tahoe.new
+	echo "from allmydata.scripts import runner" >> debian/$(package)/usr/bin/tahoe.new
+	echo "runner.run()" >> debian/$(package)//usr/bin/tahoe.new
+	chmod +x debian/$(package)/usr/bin/tahoe.new
+	mv debian/$(package)/usr/bin/tahoe.new debian/$(package)/usr/bin/tahoe
 
 binary-indep: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
-#	mv debian/$(package)/usr/share/doc/$(package)/CHANGES.txt \
-#		debian/$(package)/usr/share/doc/$(package)/changelog
+	mv debian/$(package)/usr/share/doc/$(package)/NEWS \
+		debian/$(package)/usr/share/doc/$(package)/changelog
 	dh_installexamples
 	dh_strip
 	dh_compress -X.py
