## tahoe-lafs 1.9.1

=== debian/changelog ===
tahoe-lafs (1.9.1-1) unstable; urgency=high

  [ Bert Agaz ]
  * New upstream release (Closes: #652002).
  * Set urgency to high due to RC bug fix.
  * Update debian/patches/.
  * Install munin plugin configuration as examples (Closes: #652106).
  * Remove old deps version numbers from debian/control.
  * Update debian/copyright to follow DEP-5.
  * Bump debian standard version to 3.9.3.
  * Add manpage.
  * Switch to dh_python2.
  * Bump debian/compat.
  * Fix setuptools egg_info mess with upstream sources. (Closes: #653312)

 -- Micah Anderson <micah@debian.org>  Tue, 12 Jun 2012 09:35:12 +0200
